﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.3
@EndOfDesignText@
'Class Module: Parrot
'Subclass of the Superclass Bird. Inherits all the attributes & methods from the Bird.
'Extended by dedicated attributes & methods.

Sub Class_Globals
	Private mBird As Bird
	Private mFeatherColors As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Name As String, Species As String, DateOfBirth As String, FeatherColors As String)
	mBird.Initialize(Name,Species,DateOfBirth)
	mFeatherColors = FeatherColors
End Sub

' Set & Get the Bird SuperClass allowing to access the Bird Methods
Public Sub setBird(Value As Bird)
	mBird = Value
End Sub
Public Sub getBird As Bird
	Return mBird
End Sub

'Parrot Attributes (State) - Getter & Setter
Public Sub setFeatherColors(Value As String)
	mFeatherColors = Value
End Sub
Public Sub getFeatherColors As String
	Return mFeatherColors
End Sub

'Parrot Methods
Public Sub Fly()
	Log($"Parrot ${mBird.Name} is flying."$)
End Sub

Public Sub Talk()
	Log($"Parrot ${mBird.Name} is talking."$)
End Sub
